[Catalog-sig] Deprecation warnings on PyPI

Yannick Gingras ygingras at ygingras.net
Fri Nov 2 01:25:34 CET 2007

"Martin v. Löwis" <martin at v.loewis.de> writes:

>> How should we proceed to indicate that the old package are deprecated?
>> Upload a newer PKG-INFO with a big deprecation warning and no files?
>> Any other suggestions?
> Depends on what you want to achieve. If you want people to stop using
> the old package, you could completely remove it from PyPI.

That would work but I'd rather have someone searching for gitlsfiles
on PyPI be told that it's deprecated than to let him try new keywords
until he gives up and decides to try the other git plugin for

Yannick Gingras

More information about the Catalog-SIG mailing list